require('fogcache_auth')
require('json_helper')

function fogcache_redirect_main(Data, Config)

   iguana.stopOnError(false)
   
   queue.push{data=Data}
   local Request = net.http.parseRequest{data=Data}
   
   local User, Password = fogcache_auth.authUserPassword(Request)

   local Headers = {}
   
   local PasswordDatabase = json_helper.loadJsonFileSafe('PasswordDatabase.json', '{}')
   local PasswordHash = json_helper.getJsonValue(PasswordDatabase, User, '')
   
   if not User or not PasswordHash or util.md5(Password) ~= PasswordHash then
      fogcache_auth.respondAuthRequired()
      return
   end
    
   local PageId = Request.get_params.PageId
        
   local Body = '<a href="' .. Config.BASE_URL .. '/default.asp?pg=pgWiki&ixWikiPage='..PageId..'&amp;command=edit">[edit]</a><br>\n'
   print(Body)
   
   Headers.Location = Config.BASE_URL..'/default.asp?pg=pgWiki&ixWikiPage='..PageId..'&command=edit'   

   local Response = net.http.respond{entity_type='text/html', body=Body, headers=Headers, code=302}
   print(Response)
   
end
